Bug 1459878 - cdn-sync: syncing into custom channel will unlink packages but not errata
cdn-sync: syncing into custom channel will unlink packages but not errata
Status: RELEASE_PENDING
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
580
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Dobes
Lukáš Hellebrandt
Martin Korbel
:
Depends On:
Blocks: sat58-errata
  Show dependency treegraph
 
Reported: 2017-06-08 08:37 EDT by Jan Dobes
Modified: 2017-10-16 10:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-backend-2.5.3-152-sat
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Dobes 2017-06-08 08:37:30 EDT
Description of problem:
When we implemented cdn-sync, we decided to not support unlinking errata from channels after they are once imported (satellite-sync doesn't support it either). But for syncing into custom channels (where repositories can be dynamically added/deleted) it would make sense.

Steps to Reproduce:
1. Create custom channel
2. assign repository to channel using cdn-sync -c <channel> -a <repo>
3. un-assign repository from channel using cdn-sync -c <channel> -d <repo>

Actual results:
Packages from channel are unlinked but errata are still there.

Expected results:
Errata should be unlinked from channel too.
Comment 1 Jan Dobes 2017-08-07 11:31:24 EDT
fixed in spacewalk.git(master):

bbfb9945a31624b9cddfaf71c39f067640840357
Comment 4 Martin Korbel 2017-09-20 07:44:41 EDT
Verified on spacewalk-backend-2.5.3-152

Reproducer in comment #0

Note You need to log in before you can comment on or make changes to this bug.